package com.zfire.jiasm.syncdata.upload.order;

import com.zfire.jiasm.syncdata.common.OldForNewUploadLogic;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

/**
 * 以旧换新-单独上传鉴定+附件单数据，基他走安装工单方式上传
 */
@Slf4j
@Component
public class OldForNewUpload {
	@Autowired
	OldForNewUploadLogic oldForNewUploadLogic;

	/**
	 * 以旧换新鉴定单上传
	 * @return
	 */
	@Scheduled(fixedDelay = 10 * 1000)
	public void tradeOldForNewCollection() {
		oldForNewUploadLogic.collection();
	}


}
